Subject: Re: [Bitcoin-development] The legal risks of auto-updating wallet software; custodial relationships

From: Peter Todd <[email-masked]>
Date: Tue, 20 Jan 2015 12:40:05 -0500

On Tue, Jan 20, 2015 at 12:23:14PM -0500, Matt Whitlock wrote:
> On Tuesday, 20 January 2015, at 10:46 am, Peter Todd wrote:
> > I was talking to a lawyer with a background in finance law the other day
> > and we came to a somewhat worrying conclusion: authors of Bitcoin wallet
> > software probably have a custodial relationship with their users,
> > especially if they use auto-update mechanisms. Unfortunately this has
> > potential legal implications as custodial relationships tend to be
> > pretty highly regulated.
> > 
> > Why is this? Well, in most jurisdictions financial laws a custodial
> > relationship is defined as having the ability, but not the right, to
> > dispose of an asset. If you have the private keys for your users'
> > bitcoins - e.g. an exchange or "online" wallet - you clearly have the
> > ability to spend those bitcoins, thus you have a custodial relationship.
> 
> If you have the private keys for your users' bitcoins, then you are every bit as much the owner of those bitcoins as your users are. There is no custodial relationship, as you have both the ability and the right to spend those bitcoins. Possession of a private key is equivalent to ownership of the bitcoins controlled by that private key.

Posessing a private key certainly does not give you an automatic legal
right to anything. As an example I could sign an agreement with you that
promised I would manage some BTC on your behalf. That agreement without
any doubt takes away any legal right I had to your BTC, enough though I
may have have the technical ability to spend them. This is the very
reason why the law has the notion of a custodial relationship in the
first place.

Don't assume the logic you'd use with tech has anything to do with the
logic courts use.

-- 
'peter'[:-1]@petertodd.org
00000000000000001a5e1dc75b28e8445c6e8a5c35c76637e33a3e96d487b74c